#if USE_ADMOB
private AdView m_AdmobView;
private int m_iAdmobViewX = 0;
private int m_iAdmobViewY = 0;
private boolean m_isAdmobShow = true;
#endif

static void Admob_Destroy()
{
#if USE_ADMOB
	if (s_Activity != null)
	{
		s_Activity._Admob_Destroy();
	}
#endif
}

public static void Admob_Init(int x, int y, int type, String id)
{
#if USE_ADMOB
	Log("Admob_Init " + x + " " + y + " "  + type + " " + id);
	if (s_Activity != null)
	{
		s_Activity._Admob_Init(x, y, type, id);
	}
#endif
}

public static void Admob_SetPosition(int x, int y)
{
#if USE_ADMOB
	Log("Admob_SetPosition " + x  + " " + y);
	if (s_Activity != null)
	{
		s_Activity._Admob_SetPosition(x, y);
	}
#endif
}

public static void Admob_SetVisible(int val)
{
#if USE_ADMOB
	Log("Admob_SetVisible " + val);
	if (s_Activity != null)
	{
		s_Activity._Admob_SetVisible(val);
	}
#endif
}


#if USE_ADMOB
public void _Admob_Init(int x, int y, int type, String id)
{
	SendMessge(MSG_INIT_ADMOB);
}

void _Admob_Destroy()
{
	if (m_AdmobView != null) {
		m_AdmobView.destroy();
		m_AdmobView = null;
	}
}

public void _Admob_SetPosition(int x, int y)
{
	Log("_Admob_SetPosition");
	this.m_iAdmobViewX = x;
	this.m_iAdmobViewY = y;
	if (m_isAdmobShow)
	{
		SendMessge(MSG_ADMOB_SHOW);
	}
}


public void _Admob_SetVisible(int val)
{
	Log("_Admob_SetVisible " + val);
	if (val == 1)
	{
		m_isAdmobShow = true;
		SendMessge(MSG_ADMOB_SHOW);
	}
	else
	{
		m_isAdmobShow = false;
		SendMessge(MSG_ADMOB_HIDE);
	}	
}
public static native void NativeInitAdmob();
#endif

