static void HeyzapAds_OnCreate()
{
#if USE_HEYZAP_ADS
	// HeyzapLib.start(s_Activity, HeyzapAds.start(this, HeyzapAds.DISABLE_AUTOMATIC_FETCH));
	HeyzapAds.start(s_Activity);
	HeyzapAds_Cache();
#else
	LogI("[HeyzapAds_OnCreate] USE_HEYZAP_ADS is OFF !!!");
#endif
}

static void HeyzapAds_Cache()
{
#if USE_HEYZAP_ADS
	InterstitialAd.fetch();
#endif
}

static int HeyzapAds_Show()
{
#if USE_HEYZAP_ADS
	if (InterstitialAd.isAvailable()) {
		InterstitialAd.display(s_Activity);
		HeyzapAds_Cache();
		return 1;
	}
	else
	{
		HeyzapAds_Cache();
		return 0;
	}
#else
	LogI("[HeyzapAds_Show] USE_HEYZAP_ADS is OFF !!!");
	return 0;
#endif
}
