#if RELEASE_MODE
	#define Log(str) ;
	#define LogI(str) ;
#else
	import android.util.Log;
	#define Log(str) Log.i("log", str)
	#define LogI(str) Log.i("log", str)
#endif
	
#if USE_ADMOB
	import com.google.ads.*;
#endif

import android.content.Context;
import android.content.Intent;
import android.app.IntentService;
import android.content.ComponentName;
import android.app.Activity;
import android.os.Bundle;
import android.os.SystemClock;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.os.Handler;
import android.view.WindowManager.LayoutParams;
import android.widget.RelativeLayout;
import android.os.Message;
import android.net.wifi.WifiManager;
import android.net.wifi.WifiInfo;
import android.telephony.TelephonyManager;
import android.view.WindowManager;
import android.media.AudioManager;
import android.widget.Toast;
import java.util.*;

import java.lang.reflect.Method;

#if USE_BLUETOOTH
import android.bluetooth.BluetoothAdapter;
import android.bluetooth.BluetoothDevice;
#endif

import android.content.BroadcastReceiver;

#if USE_CHARTBOOST
import com.chartboost.sdk.*;
#endif

#if USE_FORTUMO
import mp.*;
#endif

#if USE_SPEN
	import com.samsung.spensdk.*;
	import com.samsung.spensdk.applistener.*;
	import com.samsung.spen.lib.input.*;
#endif

#if USE_WIFI_DIRECT
	import android.net.wifi.p2p.WifiP2pConfig;
	import android.net.wifi.p2p.WifiP2pDevice;
	import android.net.wifi.p2p.WifiP2pManager;
	import android.net.wifi.p2p.WifiP2pManager.ActionListener;
	import android.net.wifi.p2p.WifiP2pManager.Channel;
	import android.net.wifi.p2p.WifiP2pManager.ChannelListener;
	import android.net.wifi.p2p.WifiP2pManager.PeerListListener;
	import android.net.wifi.p2p.WifiP2pDeviceList;
	import android.net.wifi.WpsInfo;
	import android.net.wifi.p2p.WifiP2pManager.ConnectionInfoListener;
	import android.net.wifi.p2p.WifiP2pInfo;
#endif

#if USE_FLURRY
	import com.flurry.android.FlurryAgent;
#endif

#if USE_INMOBI
	import com.inmobi.analytics.*;
	import com.inmobi.androidsdk.*;
	import com.inmobi.commons.*;
	import com.inmobi.monetization.*;
#endif

#if USE_HEYZAP_ADS
	// import com.heyzap.sdk.HeyzapLib;
	import com.heyzap.sdk.ads.*;
#endif	
	
#if USE_PLAYPHONE	
	import com.playphone.psgn.*;
#endif

#if USE_CRITTERCISM
	import com.crittercism.app.Crittercism;
#endif
	
#if USE_FACEBOOK
	import com.facebook.*;
	import com.facebook.model.*;
	import com.facebook.widget.LoginButton;
	import com.facebook.widget.LoginButton.*;
	import com.facebook.widget.WebDialog;
	import com.facebook.widget.WebDialog.*;

#endif

#if USE_PARSE
	import com.parse.Parse;
	import com.parse.ParseAnalytics;
	import com.parse.ParseInstallation;
	import com.parse.PushService;
#endif

import android.webkit.WebSettings;
import android.webkit.WebView;
import android.net.Uri;
import org.json.JSONObject;

import ANDROID_PACKAGE_NAME.*;
import ANDROID_PACKAGE_NAME.R.*;

import android.support.v4.app.NotificationCompat;
import android.support.v4.app.NotificationCompat.Builder;
import android.app.NotificationManager;
import android.support.v4.app.TaskStackBuilder;
import android.app.PendingIntent;
import 	android.app.AlarmManager;

#if USE_PAYPAL_API
import com.paypal.android.sdk.payments.*;
import java.math.BigDecimal;	
import org.json.JSONException;
#endif

#if USE_GOOGLE_PLAY_SERVICE
import com.google.android.gms.common.*;
import com.google.android.gms.gcm.*;
import java.util.concurrent.atomic.AtomicInteger;
import android.content.SharedPreferences;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager.NameNotFoundException;
#endif

#if USE_BASTION
import com.bastionsdk.android.*;
#endif


import android.widget.VideoView;
import android.widget.MediaController;
import android.media.MediaPlayer;
import android.content.res.AssetManager;
import android.content.res.AssetFileDescriptor;
import java.nio.channels.FileChannel;

