static void Fortumo_Purchase(final String serviceID, final  String secretID, final  String productName, final  String productDesc)
{
#if USE_FORTUMO
	s_Activity.runOnUiThread(new Runnable() {
		public void run() {
			s_Activity._Fortumo_Purchase(serviceID, secretID, productName, productDesc);
		}
	});
#else
	LogI("[Fortumo_Purchase] USE_FORTUMO is OFF !!!");
#endif
}

static int Fortumo_GetNonConsumablePaymentStatus(final String serviceID, final  String secretID, final String productName)
{
#if USE_FORTUMO
	int re = mp.MpUtils.getNonConsumablePaymentStatus(s_Activity, serviceID, secretID, productName);
#	if !RELEASE_MODE
	LogI("[Fortumo_GetNonConsumablePaymentStatus] " + 
		" serviceID:" + serviceID + 
		" secretID:" + secretID +
		" productName:" + productName 
		+ "\nResult: " + re);
#	endif
	return re;
#else
	LogI("[Fortumo_Purchase] USE_FORTUMO is OFF !!!");
	return -1;
#endif
}

public void _Fortumo_Purchase(String serviceID, String secretID, String productName, String productDesc)
{
#if USE_FORTUMO
	LogI("_Fortumo_Purchase " + serviceID + " " + secretID + " " + productName + " " + productDesc);
	Intent intent = new Intent(this, FortumoPaymentActivity.class);
	intent.putExtra("SERVICE_ID", serviceID);
	intent.putExtra("IN_APP_SECRET", secretID);
	intent.putExtra("DISPLAY_STRING", productDesc);
	intent.putExtra("PRODUCT_NAME", productName);
	startActivity(intent);
#endif
}