
static void playphone_DoAction(String action)
{
#if	USE_PLAYPHONE
	action = action.toUpperCase();
	LogI("[playphone_DoAction] playphone_DoAction " + action);
	if (action.compareTo("DASHBOARD") == 0)
	{
		PSGN.doAction(PSGNConst.PSGN_DASHBOARD); 
	}
	else if (action.compareTo("FRIENDS") == 0)
	{
		PSGN.doAction(PSGNConst.PSGN_DASHBOARD_FRIENDS); 
	}
	else if (action.compareTo("PROFILE") == 0)
	{
		PSGN.doAction(PSGNConst.PSGN_DASHBOARD_PROFILE); 
	}
	else if (action.compareTo("GAMES") == 0)
	{
		PSGN.doAction(PSGNConst.PSGN_DASHBOARD_GAMES); 
	}
	else if (action.compareTo("NOTIFICATIONS") == 0)
	{
		PSGN.doAction(PSGNConst.PSGN_DASHBOARD_NOTIFICATIONS); 
	}
	else if (action.compareTo("MYPLAY") == 0)
	{
		PSGN.doAction(PSGNConst.PSGN_DASHBOARD_MYPLAY); 
	}
	else
	{
		LogI("[playphone_DoAction] Invalid action");
	}
#else
	LogI("[playphone_OnCreate] USE_PLAYPHONE is 0");
#endif	
}


void playphone_OnResume()
{
#if	USE_PLAYPHONE
	PSGN.incrementActivity(this);  
#endif
}

void playphone_OnPause()
{
#if	USE_PLAYPHONE
	PSGN.decrementActivity(this);  
#endif
}

void playphone_OnCreate()
{
#if	USE_PLAYPHONE
	LogI("[playphone_OnCreate]" + 
			"\nPROPERTY_SECRET_KEY: " + TOSTRING(USE_PLAYPHONE_SECRET) +
			"\nUSE_PLAYPHONE_PLAY_MARKET_PUB_KEY: " + TOSTRING(USE_PLAYPHONE_PLAY_MARKET_PUB_KEY)
	);
	/* Set the secret key */ 
	PSGN.setProperty(PSGNConst.PROPERTY_SECRET_KEY, TOSTRING(USE_PLAYPHONE_SECRET), this); 

	/* Set the Google Play License Key **Required if PlayPhone is not the publisher** */ 
	PSGN.setProperty(PSGNConst.PROPERTY_PLAY_MARKET_PUB_KEY, TOSTRING(USE_PLAYPHONE_PLAY_MARKET_PUB_KEY), this); 

	/* Enable billing using PlayPhone SDK */ 
	// PSGN.setBilling(new ExampleBilling()); 

	/* Set PlayPhone icon placement (discussed below) */ 
	PSGN.setProperty(PSGNConst.PROPERTY_ICON_GRAVITY, String.valueOf(android.view.Gravity.BOTTOM | android.view.Gravity.LEFT), this); 


	/* Initialize the SDK */ 
	PSGN.init(this, new PSGNHandler() { 
		@Override 
		public void onComplete(HashMap values) { 
			LogI("[playphone_OnCreate] onComplete");
			PSGN.doAction(PSGNConst.PSGN_SHOW_ICON); /* Show Icon */ 
		} 

		@Override 
		public void onFail(HashMap arg0) { 
			LogI("[playphone_OnCreate] onFail");
			/* Failed to initialize */ 
		} 
	}); 
#else
	LogI("[playphone_OnCreate] USE_PLAYPHONE is 0");
#endif
}